Bug 1566489 - [RFE] Allow Manual Scaling from Web Console when HPA is defined
Summary: [RFE] Allow Manual Scaling from Web Console when HPA is defined
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 12:20 UTC by Pili Guerra
Modified: 2019-06-12 11:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-12 11:58:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pili Guerra 2018-04-12 12:20:39 UTC
1. Proposed title of this feature request

Manual Autoscaling from Web Console with HPA defined

3. What is the nature and description of the request?

It is not possible to manually scale a deployment from the web console when a HPA is also defined. It is however possible to do this via the cli by running oc scale dc/{name} --replicas=2 

4. Why does the customer need this? (List the business requirements here)

Customer would like to be able to temporarily override HPA easily, i.e from the web console.

5. How would the customer like to achieve this? (List the functional requirements here)

From the web console enable the up and down arrows to manually scale a deployment when HPA is configured. Currently these are not present if there is a HPA defined for the deployment

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

When a HPA is defined you should still be able to manually scale a deployment from the web console using the up and down arrows

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

No

Comment 4 Solly Ross 2018-04-13 17:41:28 UTC
The HPA controller will just override the scale anyway next time it reconciles (roughly every minute by default).  I'm not sure it makes sense to allow the user to do that from the web console, since there's not much point in the operation (since it'll very quickly get clobbered), and the webconsole should probably try to prevent foot-gun moments more than the CLI or direct API access does.

Comment 7 Kirsten Newcomer 2019-06-12 11:58:06 UTC
With the introduction of OpenShift 4, Red Hat has delivered or roadmapped a substantial number of features based on feedback by our customers.  Many of the enhancements encompass specific RFEs which have been requested, or deliver a comparable solution to a customer problem, rendering an RFE redundant.

This bz (RFE) has been identified as a feature request not yet planned or scheduled for an OpenShift release and is being closed. 

If this feature is still an active request that needs to be tracked, Red Hat Support can assist in filing a request in the new JIRA RFE system, as well as provide you with updates as the RFE progress within our planning processes. Please open a new support case: https://access.redhat.com/support/cases/#/case/new 

Opening a New Support Case: https://access.redhat.com/support/cases/#/case/new 

As the new Jira RFE system is not yet public, Red Hat Support can help answer your questions about your RFEs via the same support case system.


Note You need to log in before you can comment on or make changes to this bug.